aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios
diff options
context:
space:
mode:
Diffstat (limited to 'test-scenarios')
-rw-r--r--test-scenarios/install_os_provided_python.sh16
-rw-r--r--test-scenarios/scenarios.json9
2 files changed, 24 insertions, 1 deletions
diff --git a/test-scenarios/install_os_provided_python.sh b/test-scenarios/install_os_provided_python.sh
new file mode 100644
index 0000000..4dba59d
--- /dev/null
+++ b/test-scenarios/install_os_provided_python.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "python3 is installed" python3 --version
+check "python is installed" python --version
+check "pip is installed" pip --version
+check "pip is installed" pip3 --version
+
+check "node is installed" node --version
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
index c7ec8af..ddf15d0 100644
--- a/test-scenarios/scenarios.json
+++ b/test-scenarios/scenarios.json
@@ -1,4 +1,11 @@
{
+ "install_os_provided_python": {
+ "image": "mcr.microsoft.com/devcontainers/base:0-bullseye",
+ "features": {
+ "node": "latest",
+ "python": "os-provided"
+ }
+ },
"install_gradle_and_maven": {
"image": "ubuntu:focal",
"features": {
@@ -28,7 +35,7 @@
}
},
"install_jupyterlab": {
- "image": "mcr.microsoft.com/vscode/devcontainers/base:focal",
+ "image": "mcr.microsoft.com/devcontainers/base:focal",
"remoteUser": "vscode",
"features": {
"common-utils": {